For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
      • GETList all Transactions
      • POSTCreate a Transaction
      • GETRetrieve a Transaction
      • DELRedact a Transaction
      • PATCHUpdate a Transaction
      • POSTAdd tag to Transaction
      • POSTCreate a Transaction label
      • POSTRemove tag from a Transaction
      • POSTSets tags on a Transaction
      • POSTRedact Transaction biometrics
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceTransactions

Create a Transaction label

POST
https://api.withpersona.com/api/v1/transactions/:transaction-id/label
POST
/api/v1/transactions/:transaction-id/label
$curl -X POST https://api.withpersona.com/api/v1/transactions/transaction-id/label \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": "txn_ABC123",
4 "attributes": {
5 "status": "declined",
6 "fields": {
7 "country": {
8 "type": "string",
9 "value": "US"
10 },
11 "name-first": {
12 "type": "string",
13 "value": "LeBron"
14 },
15 "name-last": {
16 "type": "string",
17 "value": "James"
18 },
19 "selected-id-class": {
20 "type": "string",
21 "value": "dl"
22 },
23 "front-photo": {
24 "type": "file",
25 "value": {
26 "filename": "image.png",
27 "byte-size": 237011,
28 "mime-type": "image/png",
29 "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
30 }
31 },
32 "back-photo": {
33 "type": "file",
34 "value": {
35 "filename": "image.png",
36 "byte-size": 237011,
37 "mime-type": "image/png",
38 "url": "https://files.withpersona.com/image.png?access_token=ACCESS_ABC123"
39 }
40 }
41 },
42 "tags": [],
43 "created-at": "2023-05-26T16:49:33.860Z",
44 "updated-at": "2023-05-26T16:49:43.965Z"
45 },
46 "relationships": {
47 "reviewer": {
48 "data": {
49 "type": "workflow-run",
50 "id": "wfr_ABC123"
51 }
52 },
53 "transaction-label": {},
54 "transaction-type": {
55 "data": {
56 "type": "transaction-type",
57 "id": "txntp_ABC123"
58 }
59 },
60 "related-objects": {
61 "data": [
62 {
63 "type": "account",
64 "id": "act_ABC123"
65 },
66 {
67 "type": "verification/government-id",
68 "id": "ver_ABC123"
69 }
70 ]
71 }
72 },
73 "type": "transaction"
74 },
75 "included": [
76 {
77 "type": "transaction-label",
78 "id": "txnl_ABC123",
79 "attributes": {
80 "model-label": "test",
81 "model-version": "1.2.3",
82 "created-at": "2023-06-29T23:54:35.293Z",
83 "updated-at": "2023-06-29T23:54:35.293Z"
84 }
85 }
86 ]
87}
Create a new label for an existing Transaction.
Was this page helpful?
Previous

Remove tag from a Transaction

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transaction-idstringRequired
ID of the transaction to create a label for.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

Request

This endpoint expects an object.
metaobjectOptional

Response

This endpoint returns a Transaction object and (optionally) its related objects in included.

dataobject
includedlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.

A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the included key in the response. See Serialization for more details.

Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.